1. Ödeme Durumu Sorgulama
Sipay API Documentation
TR
  • EN
  • TR
  • Genel Bakış
    • IP Kısıtlaması
    • Başlangıç
    • Test Kartları
  • Kimlik Doğrulama
    • Token Oluşturma
      POST
  • Taksitler & Komisyonlar
    • Taksit Bilgisi Sorgulama
      POST
    • Komisyon Bilgisi Sorgulama
      POST
    • Üye İşyeri Taksit Bilgisi Sorgulama
      POST
  • Non-3DS Ödeme
    • Non-3DS Ödeme Akışı
    • Non-3DS Kart Ödemesi
      POST
    • Non-3DS Tekrarlayan Ödeme
      POST
    • Non-3DS Sigorta Ödemesi
      POST
    • Non-3DS Ön Provizyon Ödemesi
      POST
    • Ödeme Onaylama
      POST
  • 3D Secure Ödemesi
    • 3D Secure Ödeme Akışı
    • 3D Secure Kart Ödemesi
      POST
    • 3D Secure Tekrarlayan Ödeme
      POST
    • 3D Secure Ön Provizyon Ödemesi
      POST
    • Ödeme Tamamlama
      POST
    • Ödeme Onaylama
      POST
    • 3D Secure Tarım Ödemesi
      POST
  • Sipay ile Non-3DS ve 3D Ödeme
    • Purchase Link Örneği
    • Sipay ile Non-3DS ve 3D Secure Ödeme
      POST
  • Ödeme Durumu Sorgulama
    • Durum Sorgulama
      POST
  • Kayıtlı Kart ile Ödeme
    • Kart Kaydetme
    • 3D Secure Kart Token ile Ödeme
    • Kayıtlı Kart Bilgilerini Sorgulama
    • Kayıtlı Kart Düzenleme
    • Kayıtlı Kart Silme
    • Non-3DS Kart Token ile Ödeme
  • HASH
    • Hash Oluşturma
    • Hash Doğrulama
  • Tekrarlayan Ödeme
    • Tekrarlayan Ödeme Sorgulama
    • Tekrarlayan Ödeme Plan Süreci
    • Tekrarlayan Ödeme Planı Güncelleme
  • İade
    • İade
  • Para Dağıtımı
    • Banka Hesabına Para Aktarımı
  • Webhook
    • Webhook
  • Hata Durum Kodları
    • Durum Kodları
  • Plugin
    • Magento v1
    • Magento v2
    • Opencart
    • Presta
    • Woocommerce
    • Shopify
  1. Ödeme Durumu Sorgulama

Durum Sorgulama

Testing
POST
/ccpayment/api/checkstatus
Bu uç nokta (endpoint), bir ödeme işleminin güncel durumunu kontrol etmek için kullanılır. Üye işyerlerinin işlemin başarılı, beklemede veya başarısız olduğunu doğrulamasını sağlar.
İşlem bilgileri kullanılarak ödeme durumunun güncel sonucu alınabilir. Böylece ödeme süreci doğru şekilde takip edilebilir ve işlemin nihai durumu güvenilir bir şekilde doğrulanabilir.

Hash key değeri istekte gönderilmelidir.
Örnek hash key değerleri, seçilen programlama diline göre sağ tarafta yer alan Request panelinde bulunmaktadır.

Hash Parametreleri#

hash algoritması içerisinde kullanılacak parametreler ve kullanım sıraları aşağıdaki gibidir.
invoice_id
merchant_key
app_secret

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

⚪68Failed
🔵32Invalid Invoice ID
Request Request Example
Shell
JavaScript
Java
Swift
#!/usr/bin/env bash

 

generate_hash_key() {
  local invoice_id="$1"
  local merchant_key="$2"
  local app_secret="$3"

 

  local data="${invoice_id}|${merchant_key}"

 

  local iv
  iv=$(openssl rand -hex 16 | openssl sha1 | awk '{print $2}' | cut -c1-16)

 

  local password
  password=$(printf "%s" "$app_secret" | openssl sha1 | awk '{print $2}')

 

  local salt
  salt=$(openssl rand -hex 16 | openssl sha1 | awk '{print $2}' | cut -c1-4)

 

  local salt_with_password
  salt_with_password=$(printf "%s" "${password}${salt}" | openssl sha256 | awk '{print $2}' | cut -c1-32)

 

  local key_hex
  key_hex=$(printf "%s" "$salt_with_password" | xxd -p -c 256)

 

  local iv_hex
  iv_hex=$(printf "%s" "$iv" | xxd -p -c 256)

 

  local encrypted_base64
  encrypted_base64=$(printf "%s" "$data" | openssl enc -aes-256-cbc -K "$key_hex" -iv "$iv_hex" -base64)

 

  local msg="${iv}:${salt}:${encrypted_base64}"
  msg="${msg//\//__}"

 

  echo "$msg"
}

 

invoice_id=""
merchant_key=""
app_secret=""

 

result=$(generate_hash_key "$invoice_id" "$merchant_key" "$app_secret")
echo "Hash Key: $result"
Response Response Example
200 - Pending Status
{
    "status_code": 69,
    "status_description": "Oder is not processed yet!",
    "transaction_status": "Pending",
    "order_id": "VP17695169711851953",
    "transaction_id": "VSu7l-NpEs-TC10-18309-270126",
    "message": "Oder is not processed yet!",
    "reason": "User did not complete the process",
    "bank_status_code": "",
    "bank_status_description": "",
    "invoice_id": "1234tsd122349",
    "total_refunded_amount": 0,
    "product_price": "5",
    "transaction_amount": 5,
    "ref_number": "",
    "transaction_type": "Auth",
    "original_bank_error_code": "",
    "original_bank_error_description": "",
    "cc_no": "45080345****4509",
    "refund_info": [],
    "payment_reason_code": "",
    "payment_reason_code_detail": "",
    "merchant_commission": "0.10",
    "user_commission": "0.00",
    "settlement_date": "2026-01-27",
    "installment": 1,
    "card_type": "CREDIT CARD"
}
Previous
Ödeme Durumu Sorgulama
Next
Kayıtlı Kart ile Ödeme
Built with